-- Off-row columns Demo
-- Blog post: http://blogs.msdn.com/sqlserverstorageengine/archive/2006/12/13/More-undocumented-fun_3A00_-DBCC-IND_2C00_-DBCC-PAGE_2C00_-and-off_2D00_row-columns.aspx
-- Connections April 2008

-- Use the correct database
USE ConnectionsApril2008;
GO

-- Drop the table
DROP TABLE RowOverflowTest;
GO

-- Create a table with a schema that can cause off-row columns
CREATE TABLE RowOverflowTest (
	c1	INT,
	c2	VARCHAR (8000),
	c3	VARCHAR	(8000));
GO
CREATE CLUSTERED INDEX RowCL ON RowOverflowTest (c1);
GO

-- Insert some rows
INSERT INTO RowOverflowTest VALUES (
	1, REPLICATE ('a', 100), REPLICATE ('b', 100));
INSERT INTO RowOverflowTest VALUES (
	2, REPLICATE ('c', 100), REPLICATE ('d', 100));
INSERT INTO RowOverflowTest VALUES (
	3, REPLICATE ('e', 100), REPLICATE ('f', 100));
GO

-- Figure out the pages
EXEC sp_AllocationMetadata 'RowOverflowTest';
GO

-- Examine the page - everything's in-row
DBCC TRACEON (3604);
GO
DBCC PAGE ('ConnectionsApril2008', 1, 153, 3);
GO

-- Now let's cause an off-row column
UPDATE RowOverflowTest SET 
	c3 = REPLICATE ('z', 8000)
WHERE c1 = 3;
GO

-- And when we look at the page, we can see the off-row link
DBCC PAGE ('ConnectionsApril2008', 1, 153, 3);
GO

-- Follow the off-row link
DBCC PAGE ('ConnectionsApril2008', 1, 154, 3);
GO
