-- Broken database example
-- Based on http://www.sqlskills.com/blogs/paul/2007/09/04/Example20002005CorruptDatabasesAndSomeMoreInfoOnBackupRestorePageChecksumsAndIOErrors.aspx
-- Connections March 2008

-- Trigger the checksum failure
SELECT * FROM broken..brokentable;
GO

-- Now setup an Agent alert
-- And start the messenger service

-- Look at the bad page with DBCC PAGE
DBCC TRACEON (3604);
GO
DBCC PAGE (broken, 1, XX, 3);
GO

-- Show what CHECKDB reports
DBCC CHECKDB ('broken') WITH NO_INFOMSGS, ALL_ERRORMSGS;
GO

-- Try to backup with CHECKSUM
BACKUP DATABASE broken TO DISK='c:\sqlskills\broken2.bck'
WITH CHECKSUM, INIT;
GO

-- Force it
BACKUP DATABASE broken TO DISK='c:\sqlskills\broken2.bck'
WITH CHECKSUM, CONTINUE_AFTER_ERROR;
GO

-- Verify the backup we just made
RESTORE VERIFYONLY FROM DISK='c:\sqlskills\broken2.bck';
GO

-- Try to restore the backup
RESTORE DATABASE broken FROM DISK='c:\sqlskills\broken2.bck'
WITH REPLACE;
GO

-- Force the restore
RESTORE DATABASE broken FROM DISK='c:\sqlskills\broken2.bck'
WITH REPLACE, CONTINUE_AFTER_ERROR;
GO
